GraphQL / Object Interface Related Structures.| Parameter Name | Required | Type | Explanation |
|---|---|---|---|
| objectId | yes | string | Object ID |
| searchType | yes | int | 0 indicates that all tangibles bound to this object will be returned. 1 means that only the tangibles specifically bound to this object will be returned. |
| deleteFlags | no | []int | Filtering by object's deleteFlag: 0 indicates objects that are not deleted, 1 indicates objects that are in the recycle bin, 2 indicates objects that have been deleted. The default value is 0. |
| Parameter Name | Required | Type | Explanation |
|---|---|---|---|
| errorCode | yes | string | Error code |
| errorInfo | yes | string | Error details |
| result | no | []TangibleInfo | Query results |
curl --location 'https://mma.tvunetworks.com/api/objectd/v1/query' \
--header 'SID: ' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"query": "query getTangibleByObject { getTangibleByObject(input: { objectId: \"15\", searchType: 0 }) { errorCode errorInfo result { objectId objectName objectType tangibleInfo { tangibleId tangibleType tangibleName distinction createTimestamp extraInfo } } } }"
}'{
"data": {
"getTangibleByObject": {
"errorCode": "0x0",
"errorInfo": "Succ",
"result": {
"objectId": "15",
"objectName": "vespertest",
"objectType": 1,
"tangibleInfo": [
{
"tangibleId": "571FF9AEC4C065E30000000000000001",
"tangibleType": "X",
"tangibleName": "2359-Pack",
"distinction": null,
"createTimestamp": null,
"extraInfo": {
"object_grid": 1039535020320108500,
"placeholders": null,
"slug": "",
"source_id": "571FF9AEC4C065E30000000000000001",
"source_name": "2359_Pack",
"source_name_replace": "2359-Pack",
"source_type": "grid",
"update_timestamp": 1684905679814,
"url": "res.tvu.ai/t/grid/571ff9aec4c065e30000000000000001"
}
},
{
"tangibleId": "55524c204558544c0000018a7eac1ed9",
"tangibleType": "Invalid URL",
"tangibleName": "w1",
"distinction": null,
"createTimestamp": null,
"extraInfo": {
"url": "w1"
}
}
]
}
}
}
}